<?php

namespace App\Providers;

use App\Models\Area;
use App\Models\AreaSetting;
use App\Observers\AreaObserver;
use App\Observers\AreaSettingObserver;
use App\Repositories\Contracts\OrdenLavanderiaRepositoryInterface;
use App\Repositories\EloquentOrdenLavanderiaRepository;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        $this->app->bind(
            OrdenLavanderiaRepositoryInterface::class,
            EloquentOrdenLavanderiaRepository::class
        );
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Area::observe(AreaObserver::class);
        AreaSetting::observe(AreaSettingObserver::class);
    }
}
